import{s as Ae,o as Fe,n as ge}from"../chunks/scheduler.987d3921.js";import{S as Je,i as We,g as h,s as p,r as k,A as Ve,h as b,f as n,c as m,j as Te,u as j,x as C,k as Ze,y as Ge,a as l,v as w,d as v,t as y,w as x}from"../chunks/index.c8b1fed4.js";import{T as ze}from"../chunks/Tip.6bc1e794.js";import{C as V}from"../chunks/CodeBlock.18094d58.js";import{F as Ue,M as _e}from"../chunks/Markdown.10b8ab04.js";import{H as K,E as Ee}from"../chunks/EditOnGithub.a3fde557.js";function He(A){let t,d='Denken Sie daran, dass sich die Architektur auf das Skelett des Modells bezieht und die Checkpoints die Gewichte für eine bestimmte Architektur sind. Zum Beispiel ist <a href="https://huggingface.co/google-bert/bert-base-uncased" rel="nofollow">BERT</a> eine Architektur, während <code>google-bert/bert-base-uncased</code> ein Checkpoint ist. Modell ist ein allgemeiner Begriff, der entweder Architektur oder Prüfpunkt bedeuten kann.';return{c(){t=h("p"),t.innerHTML=d},l(a){t=b(a,"P",{"data-svelte-h":!0}),C(t)!=="svelte-1z0q275"&&(t.innerHTML=d)},m(a,i){l(a,t,i)},p:ge,d(a){a&&n(t)}}}function Re(A){let t,d='Für PyTorch-Modelle verwendet die Methode <code>from_pretrained()</code> <code>torch.load()</code>, die intern <code>pickle</code> verwendet und als unsicher bekannt ist. Generell sollte man niemals ein Modell laden, das aus einer nicht vertrauenswürdigen Quelle stammen könnte, oder das manipuliert worden sein könnte. Dieses Sicherheitsrisiko wird für öffentliche Modelle, die auf dem Hugging Face Hub gehostet werden, teilweise gemildert, da diese bei jeder Übertragung <a href="https://huggingface.co/docs/hub/security-malware" rel="nofollow">auf Malware</a> gescannt werden. Siehe die <a href="https://huggingface.co/docs/hub/security" rel="nofollow">Hub-Dokumentation</a> für Best Practices wie <a href="https://huggingface.co/docs/hub/security-gpg#signing-commits-with-gpg" rel="nofollow">signierte Commit-Verifizierung</a> mit GPG.',a,i,c="TensorFlow- und Flax-Checkpoints sind nicht betroffen und können in PyTorch-Architekturen mit den Kwargs <code>from_tf</code> und <code>from_flax</code> für die Methode <code>from_pretrained</code> geladen werden, um dieses Problem zu umgehen.";return{c(){t=h("p"),t.innerHTML=d,a=p(),i=h("p"),i.innerHTML=c},l(u){t=b(u,"P",{"data-svelte-h":!0}),C(t)!=="svelte-xr6fee"&&(t.innerHTML=d),a=m(u),i=b(u,"P",{"data-svelte-h":!0}),C(i)!=="svelte-1hzsv1f"&&(i.innerHTML=c)},m(u,Z){l(u,t,Z),l(u,a,Z),l(u,i,Z)},p:ge,d(u){u&&(n(t),n(a),n(i))}}}function Le(A){let t,d='Mit den <code>AutoModelFor</code>-Klassen können Sie schließlich ein vortrainiertes Modell für eine bestimmte Aufgabe laden (siehe <a href="model_doc/auto">hier</a> für eine vollständige Liste der verfügbaren Aufgaben). Laden Sie zum Beispiel ein Modell für die Sequenzklassifikation mit <code>AutoModelForSequenceClassification.from_pretrained()</code>:',a,i,c,u,Z="Sie können denselben Prüfpunkt problemlos wiederverwenden, um eine Architektur für eine andere Aufgabe zu laden:",F,$,T,g,z,_,o="Im Allgemeinen empfehlen wir die Verwendung der Klasse “AutoTokenizer” und der Klasse “AutoModelFor”, um trainierte Instanzen von Modellen zu laden. Dadurch wird sichergestellt, dass Sie jedes Mal die richtige Architektur laden. Im nächsten [Tutorial] (Vorverarbeitung) erfahren Sie, wie Sie Ihren neu geladenen Tokenizer, Feature Extractor und Prozessor verwenden, um einen Datensatz für die Feinabstimmung vorzuverarbeiten.",f;return i=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQlMkZkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert/distilbert-base-uncased&quot;</span>)`,wrap:!1}}),$=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQlMkZkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert/distilbert-base-uncased&quot;</span>)`,wrap:!1}}),g=new ze({props:{warning:!0,$$slots:{default:[Re]},$$scope:{ctx:A}}}),{c(){t=h("p"),t.innerHTML=d,a=p(),k(i.$$.fragment),c=p(),u=h("p"),u.textContent=Z,F=p(),k($.$$.fragment),T=p(),k(g.$$.fragment),z=p(),_=h("p"),_.textContent=o},l(r){t=b(r,"P",{"data-svelte-h":!0}),C(t)!=="svelte-fxqr85"&&(t.innerHTML=d),a=m(r),j(i.$$.fragment,r),c=m(r),u=b(r,"P",{"data-svelte-h":!0}),C(u)!=="svelte-xf7n9r"&&(u.textContent=Z),F=m(r),j($.$$.fragment,r),T=m(r),j(g.$$.fragment,r),z=m(r),_=b(r,"P",{"data-svelte-h":!0}),C(_)!=="svelte-pbc22c"&&(_.textContent=o)},m(r,M){l(r,t,M),l(r,a,M),w(i,r,M),l(r,c,M),l(r,u,M),l(r,F,M),w($,r,M),l(r,T,M),w(g,r,M),l(r,z,M),l(r,_,M),f=!0},p(r,M){const J={};M&2&&(J.$$scope={dirty:M,ctx:r}),g.$set(J)},i(r){f||(v(i.$$.fragment,r),v($.$$.fragment,r),v(g.$$.fragment,r),f=!0)},o(r){y(i.$$.fragment,r),y($.$$.fragment,r),y(g.$$.fragment,r),f=!1},d(r){r&&(n(t),n(a),n(c),n(u),n(F),n(T),n(z),n(_)),x(i,r),x($,r),x(g,r)}}}function Xe(A){let t,d;return t=new _e({props:{$$slots:{default:[Le]},$$scope:{ctx:A}}}),{c(){k(t.$$.fragment)},l(a){j(t.$$.fragment,a)},m(a,i){w(t,a,i),d=!0},p(a,i){const c={};i&2&&(c.$$scope={dirty:i,ctx:a}),t.$set(c)},i(a){d||(v(t.$$.fragment,a),d=!0)},o(a){y(t.$$.fragment,a),d=!1},d(a){x(t,a)}}}function Pe(A){let t,d='Mit den Klassen <code>TFAutoModelFor</code> schließlich können Sie ein vortrainiertes Modell für eine bestimmte Aufgabe laden (siehe <a href="model_doc/auto">hier</a> für eine vollständige Liste der verfügbaren Aufgaben). Laden Sie zum Beispiel ein Modell für die Sequenzklassifikation mit <code>TFAutoModelForSequenceClassification.from_pretrained()</code>:',a,i,c,u,Z="Sie können denselben Prüfpunkt problemlos wiederverwenden, um eine Architektur für eine andere Aufgabe zu laden:",F,$,T,g,z="Im Allgemeinen empfehlen wir, die Klasse “AutoTokenizer” und die Klasse “TFAutoModelFor” zu verwenden, um vortrainierte Instanzen von Modellen zu laden. Dadurch wird sichergestellt, dass Sie jedes Mal die richtige Architektur laden. Im nächsten [Tutorial] (Vorverarbeitung) erfahren Sie, wie Sie Ihren neu geladenen Tokenizer, Feature Extractor und Prozessor verwenden, um einen Datensatz für die Feinabstimmung vorzuverarbeiten.",_;return i=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yU2VxdWVuY2VDbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JTZXF1ZW5jZUNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0JTJGZGlzdGlsYmVydC1iYXNlLXVuY2FzZWQlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert/distilbert-base-uncased&quot;</span>)`,wrap:!1}}),$=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0JTJGZGlzdGlsYmVydC1iYXNlLXVuY2FzZWQlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert/distilbert-base-uncased&quot;</span>)`,wrap:!1}}),{c(){t=h("p"),t.innerHTML=d,a=p(),k(i.$$.fragment),c=p(),u=h("p"),u.textContent=Z,F=p(),k($.$$.fragment),T=p(),g=h("p"),g.textContent=z},l(o){t=b(o,"P",{"data-svelte-h":!0}),C(t)!=="svelte-149f2oa"&&(t.innerHTML=d),a=m(o),j(i.$$.fragment,o),c=m(o),u=b(o,"P",{"data-svelte-h":!0}),C(u)!=="svelte-xf7n9r"&&(u.textContent=Z),F=m(o),j($.$$.fragment,o),T=m(o),g=b(o,"P",{"data-svelte-h":!0}),C(g)!=="svelte-qh4bp5"&&(g.textContent=z)},m(o,f){l(o,t,f),l(o,a,f),w(i,o,f),l(o,c,f),l(o,u,f),l(o,F,f),w($,o,f),l(o,T,f),l(o,g,f),_=!0},p:ge,i(o){_||(v(i.$$.fragment,o),v($.$$.fragment,o),_=!0)},o(o){y(i.$$.fragment,o),y($.$$.fragment,o),_=!1},d(o){o&&(n(t),n(a),n(c),n(u),n(F),n(T),n(g)),x(i,o),x($,o)}}}function Se(A){let t,d;return t=new _e({props:{$$slots:{default:[Pe]},$$scope:{ctx:A}}}),{c(){k(t.$$.fragment)},l(a){j(t.$$.fragment,a)},m(a,i){w(t,a,i),d=!0},p(a,i){const c={};i&2&&(c.$$scope={dirty:i,ctx:a}),t.$set(c)},i(a){d||(v(t.$$.fragment,a),d=!0)},o(a){y(t.$$.fragment,a),d=!1},d(a){x(t,a)}}}function Ie(A){let t,d,a,i,c,u,Z,F="Bei so vielen verschiedenen Transformator-Architekturen kann es eine Herausforderung sein, eine für Ihren Checkpoint zu erstellen. Als Teil der 🤗 Transformers Kernphilosophie, die Bibliothek leicht, einfach und flexibel nutzbar zu machen, leitet eine <code>AutoClass</code> automatisch die richtige Architektur aus einem gegebenen Checkpoint ab und lädt sie. Mit der Methode <code>from_pretrained()</code> kann man schnell ein vortrainiertes Modell für eine beliebige Architektur laden, so dass man keine Zeit und Ressourcen aufwenden muss, um ein Modell von Grund auf zu trainieren. Die Erstellung dieser Art von Checkpoint-agnostischem Code bedeutet, dass Ihr Code, wenn er für einen Checkpoint funktioniert, auch mit einem anderen Checkpoint funktionieren wird - solange er für eine ähnliche Aufgabe trainiert wurde - selbst wenn die Architektur unterschiedlich ist.",$,T,g,z,_="In dieser Anleitung lernen Sie, wie man:",o,f,r="<li>Einen vortrainierten Tokenizer lädt.</li> <li>Einen vortrainierten Merkmalsextraktor lädt.</li> <li>Einen vortrainierten Prozessor lädt.</li> <li>Ein vortrainiertes Modell lädt.</li>",M,J,O,G,$e="Nahezu jede NLP-Aufgabe beginnt mit einem Tokenizer. Ein Tokenizer wandelt Ihre Eingabe in ein Format um, das vom Modell verarbeitet werden kann.",ee,U,Me="Laden Sie einen Tokenizer mit <code>AutoTokenizer.from_pretrained()</code>:",te,E,ne,H,ke="Dann tokenisieren Sie Ihre Eingabe wie unten gezeigt:",se,R,le,L,ae,X,je="Für Audio- und Bildverarbeitungsaufgaben verarbeitet ein Merkmalsextraktor das Audiosignal oder Bild in das richtige Eingabeformat.",re,P,we="Laden Sie einen Merkmalsextraktor mit <code>AutoFeatureExtractor.from_pretrained()</code>:",ie,S,oe,I,pe,Y,ve='Multimodale Aufgaben erfordern einen Prozessor, der zwei Arten von Vorverarbeitungswerkzeugen kombiniert. Das Modell <a href="model_doc/layoutlmv2">LayoutLMV2</a> beispielsweise benötigt einen Feature-Extraktor für Bilder und einen Tokenizer für Text; ein Prozessor kombiniert beide.',me,N,ye="Laden Sie einen Prozessor mit <code>AutoProcessor.from_pretrained()</code>:",ue,B,de,q,ce,W,fe,Q,he,D,be;return c=new K({props:{title:"Vortrainierte Instanzen mit einer AutoClass laden",local:"vortrainierte-instanzen-mit-einer-autoclass-laden",headingTag:"h1"}}),T=new ze({props:{$$slots:{default:[He]},$$scope:{ctx:A}}}),J=new K({props:{title:"AutoTokenizer",local:"autotokenizer",headingTag:"h2"}}),E=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Ub2tlbml6ZXIlMEElMEF0b2tlbml6ZXIlMjAlM0QlMjBBdXRvVG9rZW5pemVyLmZyb21fcHJldHJhaW5lZCglMjJnb29nbGUtYmVydCUyRmJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google-bert/bert-base-uncased&quot;</span>)`,wrap:!1}}),R=new V({props:{code:"c2VxdWVuY2UlMjAlM0QlMjAlMjJJbiUyMGElMjBob2xlJTIwaW4lMjB0aGUlMjBncm91bmQlMjB0aGVyZSUyMGxpdmVkJTIwYSUyMGhvYmJpdC4lMjIlMEFwcmludCh0b2tlbml6ZXIoc2VxdWVuY2UpKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>sequence = <span class="hljs-string">&quot;In a hole in the ground there lived a hobbit.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer(sequence))
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: [<span class="hljs-number">101</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">4920</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1996</span>, <span class="hljs-number">2598</span>, <span class="hljs-number">2045</span>, <span class="hljs-number">2973</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">7570</span>, <span class="hljs-number">10322</span>, <span class="hljs-number">4183</span>, <span class="hljs-number">1012</span>, <span class="hljs-number">102</span>], 
 <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: [<span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>], 
 <span class="hljs-string">&#x27;attention_mask&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>]}`,wrap:!1}}),L=new K({props:{title:"AutoFeatureExtractor",local:"autofeatureextractor",headingTag:"h2"}}),S=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9GZWF0dXJlRXh0cmFjdG9yJTBBJTBBZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBBdXRvRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTBBJTIwJTIwJTIwJTIwJTIyZWhjYWxhYnJlcyUyRndhdjJ2ZWMyLWxnLXhsc3ItZW4tc3BlZWNoLWVtb3Rpb24tcmVjb2duaXRpb24lMjIlMEEp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ehcalabres/wav2vec2-lg-xlsr-en-speech-emotion-recognition&quot;</span>
<span class="hljs-meta">... </span>)`,wrap:!1}}),I=new K({props:{title:"AutoProcessor",local:"autoprocessor",headingTag:"h2"}}),B=new V({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Qcm9jZXNzb3IlMEElMEFwcm9jZXNzb3IlMjAlM0QlMjBBdXRvUHJvY2Vzc29yLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbXYyLWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlmv2-base-uncased&quot;</span>)`,wrap:!1}}),q=new K({props:{title:"AutoModel",local:"automodel",headingTag:"h2"}}),W=new Ue({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Se],pytorch:[Xe]},$$scope:{ctx:A}}}),Q=new Ee({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/de/autoclass_tutorial.md"}}),{c(){t=h("meta"),d=p(),a=h("p"),i=p(),k(c.$$.fragment),u=p(),Z=h("p"),Z.innerHTML=F,$=p(),k(T.$$.fragment),g=p(),z=h("p"),z.textContent=_,o=p(),f=h("ul"),f.innerHTML=r,M=p(),k(J.$$.fragment),O=p(),G=h("p"),G.textContent=$e,ee=p(),U=h("p"),U.innerHTML=Me,te=p(),k(E.$$.fragment),ne=p(),H=h("p"),H.textContent=ke,se=p(),k(R.$$.fragment),le=p(),k(L.$$.fragment),ae=p(),X=h("p"),X.textContent=je,re=p(),P=h("p"),P.innerHTML=we,ie=p(),k(S.$$.fragment),oe=p(),k(I.$$.fragment),pe=p(),Y=h("p"),Y.innerHTML=ve,me=p(),N=h("p"),N.innerHTML=ye,ue=p(),k(B.$$.fragment),de=p(),k(q.$$.fragment),ce=p(),k(W.$$.fragment),fe=p(),k(Q.$$.fragment),he=p(),D=h("p"),this.h()},l(e){const s=Ve("svelte-u9bgzb",document.head);t=b(s,"META",{name:!0,content:!0}),s.forEach(n),d=m(e),a=b(e,"P",{}),Te(a).forEach(n),i=m(e),j(c.$$.fragment,e),u=m(e),Z=b(e,"P",{"data-svelte-h":!0}),C(Z)!=="svelte-b78d51"&&(Z.innerHTML=F),$=m(e),j(T.$$.fragment,e),g=m(e),z=b(e,"P",{"data-svelte-h":!0}),C(z)!=="svelte-16h7s5e"&&(z.textContent=_),o=m(e),f=b(e,"UL",{"data-svelte-h":!0}),C(f)!=="svelte-6zpbwl"&&(f.innerHTML=r),M=m(e),j(J.$$.fragment,e),O=m(e),G=b(e,"P",{"data-svelte-h":!0}),C(G)!=="svelte-oqwj9p"&&(G.textContent=$e),ee=m(e),U=b(e,"P",{"data-svelte-h":!0}),C(U)!=="svelte-1wk2x8m"&&(U.innerHTML=Me),te=m(e),j(E.$$.fragment,e),ne=m(e),H=b(e,"P",{"data-svelte-h":!0}),C(H)!=="svelte-1xmdplx"&&(H.textContent=ke),se=m(e),j(R.$$.fragment,e),le=m(e),j(L.$$.fragment,e),ae=m(e),X=b(e,"P",{"data-svelte-h":!0}),C(X)!=="svelte-bcjn9"&&(X.textContent=je),re=m(e),P=b(e,"P",{"data-svelte-h":!0}),C(P)!=="svelte-86xnmm"&&(P.innerHTML=we),ie=m(e),j(S.$$.fragment,e),oe=m(e),j(I.$$.fragment,e),pe=m(e),Y=b(e,"P",{"data-svelte-h":!0}),C(Y)!=="svelte-y5lfxn"&&(Y.innerHTML=ve),me=m(e),N=b(e,"P",{"data-svelte-h":!0}),C(N)!=="svelte-x1tt3f"&&(N.innerHTML=ye),ue=m(e),j(B.$$.fragment,e),de=m(e),j(q.$$.fragment,e),ce=m(e),j(W.$$.fragment,e),fe=m(e),j(Q.$$.fragment,e),he=m(e),D=b(e,"P",{}),Te(D).forEach(n),this.h()},h(){Ze(t,"name","hf:doc:metadata"),Ze(t,"content",Ye)},m(e,s){Ge(document.head,t),l(e,d,s),l(e,a,s),l(e,i,s),w(c,e,s),l(e,u,s),l(e,Z,s),l(e,$,s),w(T,e,s),l(e,g,s),l(e,z,s),l(e,o,s),l(e,f,s),l(e,M,s),w(J,e,s),l(e,O,s),l(e,G,s),l(e,ee,s),l(e,U,s),l(e,te,s),w(E,e,s),l(e,ne,s),l(e,H,s),l(e,se,s),w(R,e,s),l(e,le,s),w(L,e,s),l(e,ae,s),l(e,X,s),l(e,re,s),l(e,P,s),l(e,ie,s),w(S,e,s),l(e,oe,s),w(I,e,s),l(e,pe,s),l(e,Y,s),l(e,me,s),l(e,N,s),l(e,ue,s),w(B,e,s),l(e,de,s),w(q,e,s),l(e,ce,s),w(W,e,s),l(e,fe,s),w(Q,e,s),l(e,he,s),l(e,D,s),be=!0},p(e,[s]){const xe={};s&2&&(xe.$$scope={dirty:s,ctx:e}),T.$set(xe);const Ce={};s&2&&(Ce.$$scope={dirty:s,ctx:e}),W.$set(Ce)},i(e){be||(v(c.$$.fragment,e),v(T.$$.fragment,e),v(J.$$.fragment,e),v(E.$$.fragment,e),v(R.$$.fragment,e),v(L.$$.fragment,e),v(S.$$.fragment,e),v(I.$$.fragment,e),v(B.$$.fragment,e),v(q.$$.fragment,e),v(W.$$.fragment,e),v(Q.$$.fragment,e),be=!0)},o(e){y(c.$$.fragment,e),y(T.$$.fragment,e),y(J.$$.fragment,e),y(E.$$.fragment,e),y(R.$$.fragment,e),y(L.$$.fragment,e),y(S.$$.fragment,e),y(I.$$.fragment,e),y(B.$$.fragment,e),y(q.$$.fragment,e),y(W.$$.fragment,e),y(Q.$$.fragment,e),be=!1},d(e){e&&(n(d),n(a),n(i),n(u),n(Z),n($),n(g),n(z),n(o),n(f),n(M),n(O),n(G),n(ee),n(U),n(te),n(ne),n(H),n(se),n(le),n(ae),n(X),n(re),n(P),n(ie),n(oe),n(pe),n(Y),n(me),n(N),n(ue),n(de),n(ce),n(fe),n(he),n(D)),n(t),x(c,e),x(T,e),x(J,e),x(E,e),x(R,e),x(L,e),x(S,e),x(I,e),x(B,e),x(q,e),x(W,e),x(Q,e)}}}const Ye='{"title":"Vortrainierte Instanzen mit einer AutoClass laden","local":"vortrainierte-instanzen-mit-einer-autoclass-laden","sections":[{"title":"AutoTokenizer","local":"autotokenizer","sections":[],"depth":2},{"title":"AutoFeatureExtractor","local":"autofeatureextractor","sections":[],"depth":2},{"title":"AutoProcessor","local":"autoprocessor","sections":[],"depth":2},{"title":"AutoModel","local":"automodel","sections":[],"depth":2}],"depth":1}';function Ne(A){return Fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class et extends Je{constructor(t){super(),We(this,t,Ne,Ie,Ae,{})}}export{et as component};
