import{s as cn,n as gn,o as un}from"../chunks/scheduler.9bc65507.js";import{S as hn,i as xn,g as s,s as r,r as l,A as _n,h as i,f as n,c as o,j as _,u as f,x as u,k as v,y as t,a as m,v as d,d as p,t as c,w as g}from"../chunks/index.707bf1b6.js";import{D as $}from"../chunks/Docstring.570ddb64.js";import{H as he,E as vn}from"../chunks/EditOnGithub.922df6ba.js";function $n(jt){let O,Ie,Le,Se,V,We,z,At=`🤗 Transformers は <code>transformers.onnx</code> パッケージを提供します。
設定オブジェクトを利用することで、モデルのチェックポイントをONNXグラフに変換することができます。`,Ve,H,Gt=`詳細は<a href="../serialization">ガイド</a> を参照してください。
を参照してください。`,ze,X,He,j,Ut=`以下の3つの抽象クラスを提供しています。
エクスポートしたいモデルアーキテクチャのタイプに応じて、継承すべき3つの抽象クラスを提供します：`,Xe,A,Rt='<li>エンコーダーベースのモデルは <a href="/docs/transformers/pr_21168/ja/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a> を継承します。</li> <li>デコーダーベースのモデルは <a href="/docs/transformers/pr_21168/ja/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a> を継承します。</li> <li>エンコーダー・デコーダーモデルは <a href="/docs/transformers/pr_21168/ja/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a> を継承しています。</li>',je,G,Ae,h,U,gt,xe,Bt="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",ut,T,R,ht,_e,Jt=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,xt,k,B,_t,ve,Kt="Instantiate a OnnxConfig for a specific model",vt,P,J,$t,$e,Qt="Generate inputs to provide to the ONNX exporter for the specific framework",bt,M,K,Ct,be,Yt=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,yt,q,Q,wt,Ce,Zt="Flag indicating if the model requires using external data format",Ge,Y,Ue,w,Z,Ot,D,ee,Tt,ye,en="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",kt,N,te,Pt,we,tn="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",Re,ne,Be,re,oe,Je,ae,Ke,se,nn=`各 ONNX 構成は、次のことを可能にする一連の <em>機能</em> に関連付けられています。
さまざまなタイプのトポロジまたはタスクのモデルをエクスポートします。`,Qe,ie,Ye,x,me,Mt,F,le,qt,Oe,rn="Check whether or not the model has the requested features.",Dt,y,fe,Nt,Te,on="Determines the framework to use for the export.",Ft,ke,an="The priority is in the following order:",Lt,Pe,sn="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",Et,L,de,It,Me,mn="Gets the OnnxConfig for a model_type and feature combination.",St,E,pe,Wt,qe,ln="Attempts to retrieve an AutoModel class from a feature name.",Vt,I,ce,zt,De,fn="Attempts to retrieve a model from a model’s name and the feature to be enabled.",Ht,S,ge,Xt,Ne,dn="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ze,ue,et,Ee,tt;return V=new he({props:{title:"Exporting 🤗 Transformers models to ONNX",local:"exporting--transformers-models-to-onnx",headingTag:"h1"}}),X=new he({props:{title:"ONNX Configurations",local:"onnx-configurations",headingTag:"h2"}}),G=new he({props:{title:"OnnxConfig",local:"transformers.onnx.OnnxConfig",headingTag:"h3"}}),U=new $({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": List = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L68"}}),R=new $({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": Iterable"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L424",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(Dict[str, Any])</p>
`}}),B=new $({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L127",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig for this model</p>
`}}),J=new $({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": Union"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": Optional = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L280",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),K=new $({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": Mapping"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L400",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Mapping[str, Tensor]</code></p>
`}}),Q=new $({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L241",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),Y=new he({props:{title:"OnnxConfigWithPast",local:"transformers.onnx.OnnxConfigWithPast",headingTag:"h3"}}),Z=new $({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": List = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L443"}}),ee=new $({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": Mapping"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L550"}}),te=new $({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L454",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ne=new he({props:{title:"OnnxSeq2SeqConfigWithPast",local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",headingTag:"h3"}}),oe=new $({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": List = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/config.py#L590"}}),ae=new he({props:{title:"ONNX Features",local:"onnx-features",headingTag:"h2"}}),ie=new he({props:{title:"FeaturesManager",local:"transformers.onnx.FeaturesManager",headingTag:"h3"}}),me=new $({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L85"}}),le=new $({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": Union"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L711",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),fe=new $({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L628",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The framework to use for the export.</p>
`}}),de=new $({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L736",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>config for the combination</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>OnnxConfig</code></p>
`}}),pe=new $({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L601",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The AutoModel class corresponding to the feature.</p>
`}}),ce=new $({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L678",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The instance of the model.</p>
`}}),ge=new $({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/vr_21168/src/transformers/onnx/features.py#L556",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),ue=new vn({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/ja/main_classes/onnx.md"}}),{c(){O=s("meta"),Ie=r(),Le=s("p"),Se=r(),l(V.$$.fragment),We=r(),z=s("p"),z.innerHTML=At,Ve=r(),H=s("p"),H.innerHTML=Gt,ze=r(),l(X.$$.fragment),He=r(),j=s("p"),j.textContent=Ut,Xe=r(),A=s("ul"),A.innerHTML=Rt,je=r(),l(G.$$.fragment),Ae=r(),h=s("div"),l(U.$$.fragment),gt=r(),xe=s("p"),xe.textContent=Bt,ut=r(),T=s("div"),l(R.$$.fragment),ht=r(),_e=s("p"),_e.textContent=Jt,xt=r(),k=s("div"),l(B.$$.fragment),_t=r(),ve=s("p"),ve.textContent=Kt,vt=r(),P=s("div"),l(J.$$.fragment),$t=r(),$e=s("p"),$e.textContent=Qt,bt=r(),M=s("div"),l(K.$$.fragment),Ct=r(),be=s("p"),be.textContent=Yt,yt=r(),q=s("div"),l(Q.$$.fragment),wt=r(),Ce=s("p"),Ce.textContent=Zt,Ge=r(),l(Y.$$.fragment),Ue=r(),w=s("div"),l(Z.$$.fragment),Ot=r(),D=s("div"),l(ee.$$.fragment),Tt=r(),ye=s("p"),ye.textContent=en,kt=r(),N=s("div"),l(te.$$.fragment),Pt=r(),we=s("p"),we.innerHTML=tn,Re=r(),l(ne.$$.fragment),Be=r(),re=s("div"),l(oe.$$.fragment),Je=r(),l(ae.$$.fragment),Ke=r(),se=s("p"),se.innerHTML=nn,Qe=r(),l(ie.$$.fragment),Ye=r(),x=s("div"),l(me.$$.fragment),Mt=r(),F=s("div"),l(le.$$.fragment),qt=r(),Oe=s("p"),Oe.textContent=rn,Dt=r(),y=s("div"),l(fe.$$.fragment),Nt=r(),Te=s("p"),Te.textContent=on,Ft=r(),ke=s("p"),ke.textContent=an,Lt=r(),Pe=s("ol"),Pe.innerHTML=sn,Et=r(),L=s("div"),l(de.$$.fragment),It=r(),Me=s("p"),Me.textContent=mn,St=r(),E=s("div"),l(pe.$$.fragment),Wt=r(),qe=s("p"),qe.textContent=ln,Vt=r(),I=s("div"),l(ce.$$.fragment),zt=r(),De=s("p"),De.textContent=fn,Ht=r(),S=s("div"),l(ge.$$.fragment),Xt=r(),Ne=s("p"),Ne.textContent=dn,Ze=r(),l(ue.$$.fragment),et=r(),Ee=s("p"),this.h()},l(e){const a=_n("svelte-u9bgzb",document.head);O=i(a,"META",{name:!0,content:!0}),a.forEach(n),Ie=o(e),Le=i(e,"P",{}),_(Le).forEach(n),Se=o(e),f(V.$$.fragment,e),We=o(e),z=i(e,"P",{"data-svelte-h":!0}),u(z)!=="svelte-5rvatf"&&(z.innerHTML=At),Ve=o(e),H=i(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-mil2iv"&&(H.innerHTML=Gt),ze=o(e),f(X.$$.fragment,e),He=o(e),j=i(e,"P",{"data-svelte-h":!0}),u(j)!=="svelte-r4ilu2"&&(j.textContent=Ut),Xe=o(e),A=i(e,"UL",{"data-svelte-h":!0}),u(A)!=="svelte-149l7fk"&&(A.innerHTML=Rt),je=o(e),f(G.$$.fragment,e),Ae=o(e),h=i(e,"DIV",{class:!0});var b=_(h);f(U.$$.fragment,b),gt=o(b),xe=i(b,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1gqzpaz"&&(xe.textContent=Bt),ut=o(b),T=i(b,"DIV",{class:!0});var nt=_(T);f(R.$$.fragment,nt),ht=o(nt),_e=i(nt,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1lfqihc"&&(_e.textContent=Jt),nt.forEach(n),xt=o(b),k=i(b,"DIV",{class:!0});var rt=_(k);f(B.$$.fragment,rt),_t=o(rt),ve=i(rt,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-1u54gj1"&&(ve.textContent=Kt),rt.forEach(n),vt=o(b),P=i(b,"DIV",{class:!0});var ot=_(P);f(J.$$.fragment,ot),$t=o(ot),$e=i(ot,"P",{"data-svelte-h":!0}),u($e)!=="svelte-1oyyynq"&&($e.textContent=Qt),ot.forEach(n),bt=o(b),M=i(b,"DIV",{class:!0});var at=_(M);f(K.$$.fragment,at),Ct=o(at),be=i(at,"P",{"data-svelte-h":!0}),u(be)!=="svelte-tenqiw"&&(be.textContent=Yt),at.forEach(n),yt=o(b),q=i(b,"DIV",{class:!0});var st=_(q);f(Q.$$.fragment,st),wt=o(st),Ce=i(st,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-coevd"&&(Ce.textContent=Zt),st.forEach(n),b.forEach(n),Ge=o(e),f(Y.$$.fragment,e),Ue=o(e),w=i(e,"DIV",{class:!0});var Fe=_(w);f(Z.$$.fragment,Fe),Ot=o(Fe),D=i(Fe,"DIV",{class:!0});var it=_(D);f(ee.$$.fragment,it),Tt=o(it),ye=i(it,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-1bh80il"&&(ye.textContent=en),it.forEach(n),kt=o(Fe),N=i(Fe,"DIV",{class:!0});var mt=_(N);f(te.$$.fragment,mt),Pt=o(mt),we=i(mt,"P",{"data-svelte-h":!0}),u(we)!=="svelte-1kg2yu2"&&(we.innerHTML=tn),mt.forEach(n),Fe.forEach(n),Re=o(e),f(ne.$$.fragment,e),Be=o(e),re=i(e,"DIV",{class:!0});var pn=_(re);f(oe.$$.fragment,pn),pn.forEach(n),Je=o(e),f(ae.$$.fragment,e),Ke=o(e),se=i(e,"P",{"data-svelte-h":!0}),u(se)!=="svelte-518qzv"&&(se.innerHTML=nn),Qe=o(e),f(ie.$$.fragment,e),Ye=o(e),x=i(e,"DIV",{class:!0});var C=_(x);f(me.$$.fragment,C),Mt=o(C),F=i(C,"DIV",{class:!0});var lt=_(F);f(le.$$.fragment,lt),qt=o(lt),Oe=i(lt,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-rlyyl3"&&(Oe.textContent=rn),lt.forEach(n),Dt=o(C),y=i(C,"DIV",{class:!0});var W=_(y);f(fe.$$.fragment,W),Nt=o(W),Te=i(W,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-rshgf5"&&(Te.textContent=on),Ft=o(W),ke=i(W,"P",{"data-svelte-h":!0}),u(ke)!=="svelte-1wbth9c"&&(ke.textContent=an),Lt=o(W),Pe=i(W,"OL",{"data-svelte-h":!0}),u(Pe)!=="svelte-qby6wj"&&(Pe.innerHTML=sn),W.forEach(n),Et=o(C),L=i(C,"DIV",{class:!0});var ft=_(L);f(de.$$.fragment,ft),It=o(ft),Me=i(ft,"P",{"data-svelte-h":!0}),u(Me)!=="svelte-il0adz"&&(Me.textContent=mn),ft.forEach(n),St=o(C),E=i(C,"DIV",{class:!0});var dt=_(E);f(pe.$$.fragment,dt),Wt=o(dt),qe=i(dt,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-k5ftuy"&&(qe.textContent=ln),dt.forEach(n),Vt=o(C),I=i(C,"DIV",{class:!0});var pt=_(I);f(ce.$$.fragment,pt),zt=o(pt),De=i(pt,"P",{"data-svelte-h":!0}),u(De)!=="svelte-auvjm5"&&(De.textContent=fn),pt.forEach(n),Ht=o(C),S=i(C,"DIV",{class:!0});var ct=_(S);f(ge.$$.fragment,ct),Xt=o(ct),Ne=i(ct,"P",{"data-svelte-h":!0}),u(Ne)!=="svelte-tbalh5"&&(Ne.textContent=dn),ct.forEach(n),C.forEach(n),Ze=o(e),f(ue.$$.fragment,e),et=o(e),Ee=i(e,"P",{}),_(Ee).forEach(n),this.h()},h(){v(O,"name","hf:doc:metadata"),v(O,"content",bn),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,O),m(e,Ie,a),m(e,Le,a),m(e,Se,a),d(V,e,a),m(e,We,a),m(e,z,a),m(e,Ve,a),m(e,H,a),m(e,ze,a),d(X,e,a),m(e,He,a),m(e,j,a),m(e,Xe,a),m(e,A,a),m(e,je,a),d(G,e,a),m(e,Ae,a),m(e,h,a),d(U,h,null),t(h,gt),t(h,xe),t(h,ut),t(h,T),d(R,T,null),t(T,ht),t(T,_e),t(h,xt),t(h,k),d(B,k,null),t(k,_t),t(k,ve),t(h,vt),t(h,P),d(J,P,null),t(P,$t),t(P,$e),t(h,bt),t(h,M),d(K,M,null),t(M,Ct),t(M,be),t(h,yt),t(h,q),d(Q,q,null),t(q,wt),t(q,Ce),m(e,Ge,a),d(Y,e,a),m(e,Ue,a),m(e,w,a),d(Z,w,null),t(w,Ot),t(w,D),d(ee,D,null),t(D,Tt),t(D,ye),t(w,kt),t(w,N),d(te,N,null),t(N,Pt),t(N,we),m(e,Re,a),d(ne,e,a),m(e,Be,a),m(e,re,a),d(oe,re,null),m(e,Je,a),d(ae,e,a),m(e,Ke,a),m(e,se,a),m(e,Qe,a),d(ie,e,a),m(e,Ye,a),m(e,x,a),d(me,x,null),t(x,Mt),t(x,F),d(le,F,null),t(F,qt),t(F,Oe),t(x,Dt),t(x,y),d(fe,y,null),t(y,Nt),t(y,Te),t(y,Ft),t(y,ke),t(y,Lt),t(y,Pe),t(x,Et),t(x,L),d(de,L,null),t(L,It),t(L,Me),t(x,St),t(x,E),d(pe,E,null),t(E,Wt),t(E,qe),t(x,Vt),t(x,I),d(ce,I,null),t(I,zt),t(I,De),t(x,Ht),t(x,S),d(ge,S,null),t(S,Xt),t(S,Ne),m(e,Ze,a),d(ue,e,a),m(e,et,a),m(e,Ee,a),tt=!0},p:gn,i(e){tt||(p(V.$$.fragment,e),p(X.$$.fragment,e),p(G.$$.fragment,e),p(U.$$.fragment,e),p(R.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(K.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(ne.$$.fragment,e),p(oe.$$.fragment,e),p(ae.$$.fragment,e),p(ie.$$.fragment,e),p(me.$$.fragment,e),p(le.$$.fragment,e),p(fe.$$.fragment,e),p(de.$$.fragment,e),p(pe.$$.fragment,e),p(ce.$$.fragment,e),p(ge.$$.fragment,e),p(ue.$$.fragment,e),tt=!0)},o(e){c(V.$$.fragment,e),c(X.$$.fragment,e),c(G.$$.fragment,e),c(U.$$.fragment,e),c(R.$$.fragment,e),c(B.$$.fragment,e),c(J.$$.fragment,e),c(K.$$.fragment,e),c(Q.$$.fragment,e),c(Y.$$.fragment,e),c(Z.$$.fragment,e),c(ee.$$.fragment,e),c(te.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(ae.$$.fragment,e),c(ie.$$.fragment,e),c(me.$$.fragment,e),c(le.$$.fragment,e),c(fe.$$.fragment,e),c(de.$$.fragment,e),c(pe.$$.fragment,e),c(ce.$$.fragment,e),c(ge.$$.fragment,e),c(ue.$$.fragment,e),tt=!1},d(e){e&&(n(Ie),n(Le),n(Se),n(We),n(z),n(Ve),n(H),n(ze),n(He),n(j),n(Xe),n(A),n(je),n(Ae),n(h),n(Ge),n(Ue),n(w),n(Re),n(Be),n(re),n(Je),n(Ke),n(se),n(Qe),n(Ye),n(x),n(Ze),n(et),n(Ee)),n(O),g(V,e),g(X,e),g(G,e),g(U),g(R),g(B),g(J),g(K),g(Q),g(Y,e),g(Z),g(ee),g(te),g(ne,e),g(oe),g(ae,e),g(ie,e),g(me),g(le),g(fe),g(de),g(pe),g(ce),g(ge),g(ue,e)}}}const bn='{"title":"Exporting 🤗 Transformers models to ONNX","local":"exporting--transformers-models-to-onnx","sections":[{"title":"ONNX Configurations","local":"onnx-configurations","sections":[{"title":"OnnxConfig","local":"transformers.onnx.OnnxConfig","sections":[],"depth":3},{"title":"OnnxConfigWithPast","local":"transformers.onnx.OnnxConfigWithPast","sections":[],"depth":3},{"title":"OnnxSeq2SeqConfigWithPast","local":"transformers.onnx.OnnxSeq2SeqConfigWithPast","sections":[],"depth":3}],"depth":2},{"title":"ONNX Features","local":"onnx-features","sections":[{"title":"FeaturesManager","local":"transformers.onnx.FeaturesManager","sections":[],"depth":3}],"depth":2}],"depth":1}';function Cn(jt){return un(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kn extends hn{constructor(O){super(),xn(this,O,Cn,$n,cn,{})}}export{kn as component};
